#!/usr/bin/env perl

use warnings;
use strict;

# --8<--8<--8<--8<--
#
# Copyright (C) 2006 Smithsonian Astrophysical Observatory
#
# This file is part of yaxx
#
# yaxx is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# yaxx is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the 
#       Free Software Foundation, Inc. 
#       51 Franklin Street, Fifth Floor
#       Boston, MA  02110-1301, USA
#
# -->8-->8-->8-->8--

# Generate a version number using SVN Revision

my $svn_rev = q{$Rev: 16 $};
my $svn_rev_date = q{$Date: 2006-03-30 18:01:15 -0500 (Thu, 30 Mar 2006) $};
(my $rev = $svn_rev) =~ s/[^\d]//g;

# Define release version history relative to svn revision.
# Each 'release' gets a new entry
my %release_version = ( 15 => '0.2' );

foreach my $release_rev (sort {$b <=> $a} keys %release_version) {
    if ($rev >= $release_rev) {
	my $version = $release_version{$release_rev} . sprintf("%02d", $rev - $release_rev);
	print $version;
	last;
    }
}

